/*
Main stylesheet to import accross all pages
*/
@import "/data/styles/fonts.css";



/* ~~~~~~~~~~~~~ Body ~~~~~~~~~~~~~ */
body{
	text-align: center;

	font-family: JetBrains Mono;
	font-size: 1vw;

	color: white;
	background: rgb(10, 10, 10);

	margin: 0;
	padding: 0;
}


/*Change Text Selection Color*/
::selection{
	background-color: mediumpurple;
}
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */


/* ~~~~~~~~~~~~ Headers ~~~~~~~~~~~ */
/* Header Style */
h1, h2, h3, h4, h5, h6{
	color: white;
	font-family: JetBrains Mono-Medium;

	overflow: hidden;
	text-overflow: ellipsis;
}

/* Header 1 */
h1{
	font-size: 1.6vw;
}

/* Header 2 */
h2{
	font-size: 1.3vw;
}

/* Header 3 */
h3{
	font-size: 1vw;
}

/* Header 4 */
h4{
	font-size: .7vw;
}

/* Header 5 */
h5{
	font-size: .4vw;
}

/* Header 6 */
h6{
	font-size: .1vw;
}
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */


/*Paragraph*/
p{
	font-family: JetBrains Mono;
	font-size: 1vw;

	color: white;
}


/*Disable Text Selection*/
.noselect{
	user-select: none;
}


/*Disable Cursor*/
.nocursor{
	cursor: none;
}
